%define cvs_date 20040923

Name: faad
Version: 2.0
%define release alt3

%ifdef cvs_date
Release: %{release}.%cvs_date
%else
Release: %release
%endif

Packager: Pavlov Konstantin <thresh@altlinux.ru>
Summary: FAAD is a Freeware Advanced Audio Decoder
License: GPL
Group: Sound
Url: http://www.audiocoding.com

%ifdef cvs_date
Source: http://prdownloads.sourceforge.net/faac/%{name}2-%cvs_date.tar.bz2
%else
Source: http://prdownloads.sourceforge.net/faac/%{name}2-%version.tar.bz2
%endif

Patch3: faad2-2.0-gcc4.patch

%define libsndfile_ver 1.0.5

Requires: lib%name = %version-%release

BuildPreReq: libsndfile >= %libsndfile_ver

# Automatically added by buildreq on Wed Dec 24 2003
BuildRequires: gcc-c++ gcc-g77 glib-devel gtk+-devel id3lib-devel libstdc++-devel libxmms-devel zlib-devel

%description
FAAD is a LC, MAIN and LTP profile MPEG2 and MPEG-4 AAC decoder.

%package -n lib%name
Summary: Freeware Advanced Audio Decoder (FAAD) libraries
Group: System/Libraries

%description -n lib%name
This package contains Freeware Advanced Audio Decoder (FAAD) shared
libraries.

%package -n lib%name-devel
Summary: Development files for the FAAD AAC decoder libraries
Group: Development/C++
Requires: lib%name = %version-%release
Requires: libsndfile-devel >= %libsndfile_ver

%description -n lib%name-devel
This package provides header files development libraries and
documentation for lib%name.

%package -n xmms-input-faad
Summary: FAAD input plugin for XMMS
Group: Sound
Requires: lib%name = %version-%release
Requires: xmms

%description -n xmms-input-faad
This package provides input plugin allowing XMMS to read .aac and .mp4
files.

%prep
%ifdef cvs_date
%setup -q -n %{name}2-%cvs_date
%else
%setup -q -n %{name}2
%endif

%patch3 -p1 -b .gcc4

find ./ -type f -name "Makefile*" -print0 | \
xargs -r0 %__subst 's,^\(CFLAGS\),AM_\1,g
		    s,^\(LDFLAGS\),AM_\1,g
		    s,^[[:blank:]*],\t,' --

%define _xmms_input_plugin_dir %(xmms-config --input-plugin-dir)

%build
%add_optflags %optflags_shared
#%_buildshell ./bootstrap
autoreconf -isfv
%configure --disable-static \
	    --with-drm \
	    --with-xmms

%make_build

%install
%make_install DESTDIR=%buildroot install

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/*
#%_man1dir/*

%files -n lib%name
%_libdir/*.so.*
%doc AUTHORS ChangeLog NEWS README TODO

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so

%files -n xmms-input-faad
%_xmms_input_plugin_dir/*
%doc plugins/xmms/{AUTHORS,ChangeLog,NEWS,README,TODO}

%changelog
* Tue Jul 04 2006 Pavlov Konstantin <thresh@altlinux.ru> 2.0-alt3.20040923
- Tuned buildrequires.

* Tue Jul 04 2006 Pavlov Konstantin <thresh@altlinux.ru> 2.0-alt2.20040923
- Added gcc4 patch.

* Thu Jan 27 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.0-alt1.2_20040923
- libfaad do not more provides libmp4v2.

* Tue Jan 18 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.0-alt1.1_20040923
- updated to 20040923 cvs snapshot.

* Mon May 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.0-alt1
- 2.0 release.

* Mon Dec 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0-alt0.7rc3
- install more headers so that libfaad{,-devel} will provide
  libmp4v2{,-devel}.

* Mon Dec 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0-alt0.6rc3
- do not package .la files.

* Thu Nov 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0-alt0.5rc3
- 2.0rc3.

* Sat Jun 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1-alt1
- First build for Sisyphus.

